uniform float timer;
vec4 Process(vec4 color)
{
	vec2 texCoord = gl_TexCoord[0].st;
	vec2 texSplat;
	const float pi = 3.14159265358979323846;
	texSplat.x = texCoord.x + mod(sin(pi * (texCoord.y + timer * 2.0)),0.2) * 0.1;
	texSplat.y = texCoord.y + mod(cos(pi * (texCoord.x + timer * 2.0)),0.1) * 0.1;
	vec4 basicColor = getTexel(texSplat) * color;
	float texX = sin(texCoord.x * 300 - timer);
	float texY = cos(texCoord.y * 8 - timer);
	float test = mod((texX + texY), 0.5);
	float testi = mod((texY + texX), 0.9);
	basicColor.a = basicColor.a * test;
	return basicColor + vec4(0,0,abs(testi),0);
}