uniform float timer;

float random(vec2 st)
{
    return fract(sin(dot(st.xy, vec2(12.9898, 78.233))) * 43758.5453123);
}

vec4 Process(vec4 color)
{
    vec4 pix = getTexel(gl_TexCoord[0].st);
    float noise = random(gl_TexCoord[0].st + timer) * 0.2 - 0.1; // Adjust noise intensity here

    return (pix + vec4(noise, noise, noise, 0.0)) * color;
}
